partman-crypto (101ubuntu5) hirsute; urgency=medium

  * Add preseed option 'partman-crypto/luksformat_options' to
    provide more options for 'cryptsetup luksFormat' (LP: #1898129)
    - d/partman-crypto.templates: add preseed option.
    - lib/crypto-base.sh: check for, log, and use it.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 05 Nov 2020 12:24:33 -0300

partman-crypto (101ubuntu4) eoan; urgency=medium

  * Drop a big block in finish.d that iterates partman, and then does
    nothing with the result. As we install cryptsetup whenever any devices
    are active, irrespective if they were created by partman, or a
    pre-existing one was activated.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Jun 2019 12:03:35 +0100

partman-crypto (101ubuntu3) eoan; urgency=medium

  * Change from installing cryptsetup (meta-package) to
    cryptsetup-initramfs (boot support package).
  * Also drop duplicate block of installing cryptsetup (miss-merge?).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Jun 2019 02:15:21 +0100

partman-crypto (101ubuntu2) disco; urgency=medium

  * Add basic experimental zkey support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Mar 2019 13:02:09 +0000

partman-crypto (101ubuntu1) disco; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
    - lib/crypto-base.sh: don't regard zram devices as "unsafe", since we
      know these are entirely RAM-backed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Feb 2019 11:29:24 -0800

partman-crypto (101) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Greek (el.po) by Vangelis Skarmoutsos
  * Finnish (fi.po) by Juhani Numminen
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Romanian (ro.po) by Andrei POPESCU

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 09 Feb 2019 09:16:38 +0100

partman-crypto (100ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
    - lib/crypto-base.sh: don't regard zram devices as "unsafe", since we
      know these are entirely RAM-backed.
  * Migrate Ubuntu branches to git, update debian/control accordingly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Feb 2019 21:57:08 -0800

partman-crypto (100) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Latvian (lv.po) by Tranzistors

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 31 Oct 2018 21:09:07 +0100

partman-crypto (99) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Michael Schaller ]
  * Set discard option on LUKS containers. (Closes: #902912)

 -- Philipp Kern <pkern@debian.org>  Tue, 31 Jul 2018 12:14:13 +0200

partman-crypto (98ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
    - lib/crypto-base.sh: don't regard zram devices as "unsafe", since we
      know these are entirely RAM-backed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 May 2018 16:05:52 -0700

partman-crypto (98) unstable; urgency=medium

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Welsh (cy.po) by Huw Waters
  * Hebrew (he.po) by Yaron Shahrabani
  * Indonesian (id.po) by Andika Triwidada

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Apr 2018 18:42:37 +0200

partman-crypto (97) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Feb 2018 07:13:50 +0100

partman-crypto (96) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Wed, 24 Jan 2018 06:38:59 +0100

partman-crypto (95) unstable; urgency=medium

  [ Updated translations ]
  * Icelandic (is.po) by Sveinn í Felli
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jan 2018 08:31:25 +0100

partman-crypto (94) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by Boyuan Yang
  * Traditional Chinese (zh_TW.po) by Chang-Chia Tseng

 -- Christian Perrier <bubulle@debian.org>  Mon, 25 Dec 2017 10:07:13 +0100

partman-crypto (93) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Rimas Kudelis
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Fri, 01 Dec 2017 19:45:13 +0100

partman-crypto (92) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Nov 2017 07:24:13 +0100

partman-crypto (91) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Albanian (sq.po) by Redon Skikuli

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Sep 2017 18:40:48 +0200

partman-crypto (90) unstable; urgency=medium

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Simplified Chinese (zh_CN.po) by Yangfl
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Tue, 04 Jul 2017 05:51:24 +0200

partman-crypto (89) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Wed, 08 Jun 2016 06:57:12 +0200

partman-crypto (88) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po)

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Jun 2016 15:50:25 +0200

partman-crypto (87) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Feb 2016 19:37:41 +0100

partman-crypto (86ubuntu2) bionic; urgency=medium

  * lib/crypto-base.sh: don't regard zram devices as "unsafe", since we
    know these are entirely RAM-backed.  LP: #1759732.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Apr 2018 17:07:27 -0700

partman-crypto (86ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Dec 2015 16:22:58 -0500

partman-crypto (86) unstable; urgency=high

  * Fix non-preseeded Encrypted LVM installs which were failing due to
    faulty logic in preseeding handling. Many thanks to Adrian Kretz for
    the report and the patch! (Closes: #793643)

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Aug 2015 01:22:43 +0200

partman-crypto (85) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Aug 2015 11:57:20 +0200

partman-crypto (84) unstable; urgency=medium

  * Make default crypto parameters preseedable (Closes: #785732). Thanks
    to Jérôme Vizcaino for the report and the patch!
  * Honor specified keyhash algorithm for LUKS (Closes: #785733). Thanks
    to Jérôme Vizcaino for the report and the patch! (bis)

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Jul 2015 02:31:45 +0200

partman-crypto (83) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Fri, 03 Jul 2015 06:13:32 +0200

partman-crypto (82) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 May 2015 19:23:03 +0200

partman-crypto (81) unstable; urgency=low

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 Apr 2015 08:58:17 +0200

partman-crypto (80) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Apr 2015 14:16:24 +0200

partman-crypto (79) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Bradut Boghita

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Mar 2015 07:51:46 +0100

partman-crypto (78ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Dec 2014 17:51:11 +0000

partman-crypto (78) unstable; urgency=low

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Dec 2014 06:15:18 +0100

partman-crypto (77ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Dec 2014 17:35:35 +0000

partman-crypto (77) unstable; urgency=medium

  * Cherry-pick bzr r693 from Ubuntu (partman-crypto/40ubuntu2), thanks
    to Colin Watson:
    - Allow preseeding the first passphrase prompt (LP: #546405).
      (Preseeding passphrases for multiple different physical volumes is
      a whole different kettle of fish ...)
  * Cherry-pick bzr r695 from Ubuntu (partman-crypto/40ubuntu3), thanks
    to Colin Watson:
    - Allow preseeding partman-crypto/weak_passphrase too (LP: #546405).
  * Add a security note in debian/partman-crypto.templates, documenting
    the preseedability of the three extra items listed below, warning
    against possible eavesdropping, and suggesting a proper key escrow
    system (Closes: #656710):
    - partman-crypto/passphrase
    - partman-crypto/passphrase-again
    - partman-crypto/weak_passphrase

 -- Cyril Brulebois <kibi@debian.org>  Fri, 24 Oct 2014 12:00:46 +0200

partman-crypto (76) unstable; urgency=low

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Oct 2014 09:26:30 +0200

partman-crypto (75) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Marathi (mr.po) by sampada
  * Panjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 14:11:50 +0200

partman-crypto (74ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Aug 2014 18:21:29 +0100

partman-crypto (74) unstable; urgency=high

  * Cope with parted 3.2 automatically creating a partition when creating a
    fresh loop label (closes: #757663).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2014 16:10:58 +0100

partman-crypto (73) unstable; urgency=low

  [ Updated translations ]
  * Greek (el.po) by galaxico
  * Ukrainian (uk.po) by Anton Gladky

 -- Christian Perrier <bubulle@debian.org>  Tue, 13 May 2014 07:26:30 +0200

partman-crypto (72) unstable; urgency=low

  * Add a lintian override for untranslatable-debconf-templates

  [ Updated translations ]
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 May 2014 18:32:26 +0200

partman-crypto (71) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Mar 2014 14:32:07 +0100

partman-crypto (70) unstable; urgency=medium

  [ Updated translations ]
  * Italian (it.po) by Milo Casagrande

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 18:10:10 +0100

partman-crypto (69) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Tajik (tg.po) by Victor Ibragimov
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Jan 2014 07:36:25 +0100

partman-crypto (68) unstable; urgency=low

  [ Updated translations ]
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Dec 2013 13:49:25 +0100

partman-crypto (67) unstable; urgency=low

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Croatian (hr.po) by Tomislav Krznar
  * Polish (pl.po) by Michał Kułach
  * Slovak (sk.po) by Ivan Masár
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Dec 2013 19:40:33 +0100

partman-crypto (66) unstable; urgency=low

  [ Thiemo Nagel ]
  * Use the same security setting for wiping existing volumes
    than previous settings, when the volume was already encrypted.
    Closes: #726448

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Nov 2013 09:14:39 +0100

partman-crypto (65) unstable; urgency=low

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Wed, 06 Nov 2013 06:49:03 +0100

partman-crypto (64) unstable; urgency=low

  [ Thiemo Nagel ]
  * Make "Erasing data" step optional. blockdev-wipe is too slow
    Closes: #722898
  * blockdev-wipe: Set blocksize to 512k
  * blockdev-wipe: Sync at most once per second
  * blockdev-wipe: Allocate buffer from heap instead of stack
  * blockdev-wipe: Reduce progress indicator granularity to 1/1000

  [ Updated translations ]
  * Polish (pl.po) by Michał Kułach

 -- Christian Perrier <bubulle@debian.org>  Wed, 30 Oct 2013 20:24:43 +0100

partman-crypto (63ubuntu2) trusty; urgency=medium

  [ Stéphane Graber ]
  * Allow discard on luks devices.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 12 Mar 2014 15:58:20 +0000

partman-crypto (63ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 16:14:43 +0100

partman-crypto (63) unstable; urgency=low

  [ Thiemo Nagel ]
  * remove broken BLKGETSIZE fallback from blockdev-wipe. Closes: #722696

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Oct 2013 07:26:54 +0200

partman-crypto (61) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 19:33:44 +0200

partman-crypto (60ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 10:54:38 +0100

partman-crypto (60) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Guard with apt-install '|| true' in case apt-install exists with error
    code 1, indicating delayed installation.
  * Set debian source format to '3.0 (native)'.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 14:26:27 +0200

partman-crypto (59) unstable; urgency=low

  * Add myself to uploads.
  * Bump debhelper compat to 9.
  * Use standard VCS URLs.
  * Move unsafe swap checks from commit.d to check.d to be executed
    earlier and thus returning quicker back to partitioning menu
  * Install cryptsetup user space utilities, earlier, in finish.d instead
    of post-base-installer.d. This way cryptsetup utilities are installed
    if post-base-installer is not executed at all (like in ubiquity) or
    didn't manage to run for any other reason. This is also more inline
    with other fs-specific utilities and other partman-* packages.

 -- Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>  Thu, 23 May 2013 12:05:59 +0100

partman-crypto (58) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Remove remaining loop-aes code.

  [ Colin Watson ]
  * Remove redundant and unused debian/install file.
  * Use correct compiler and strip when cross-building.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 May 2013 18:42:44 +0200

partman-crypto (57) unstable; urgency=low

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 17:39:01 +0100

partman-crypto (56) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Dec 2012 07:15:01 +0100

partman-crypto (55ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as it is not supported.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
    - Move apt-install cryptsetup call to finish.d.  
    - Move unsafe_swap checks from commit.d to check.d

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 21 Oct 2012 00:49:20 +0100

partman-crypto (55) unstable; urgency=low

  * Add myself to Uploaders.

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Oct 2012 12:37:34 +0200

partman-crypto (54ubuntu2) quantal; urgency=low

  * Move unsafe_swap checks from commit.d to check.d (LP: #1056707)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Oct 2012 10:30:35 +0100

partman-crypto (54ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as it is not supported.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
    - Move apt-install cryptsetup call to finish.d.  

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 14 Aug 2012 08:44:57 +0100

partman-crypto (54) unstable; urgency=low

  [ Bastian Blank ]
  * Disable loop-aes support. (closes: #680943)
  * Support and use xts-plain64 by default. (closes: #482092)
    - Double key size if xts mode is selected.

 -- Julien Cristau <jcristau@debian.org>  Fri, 03 Aug 2012 10:36:03 +0200

partman-crypto (53ubuntu2) quantal; urgency=low

  * Move apt-install cryptsetup call to finish.d.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 01 Aug 2012 10:53:29 +0100

partman-crypto (53ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Jul 2012 11:42:46 +0100

partman-crypto (53) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 08:27:54 +0200

partman-crypto (52) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jun 2012 12:51:26 +0200

partman-crypto (51) unstable; urgency=low

  * Team upload
  * Replace XC-Package-Type with Package-Type

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * Welsh (cy.po) by Dafydd Tomos
  * Galician (gl.po) by Jorge Barreiro
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Jun 2012 07:30:33 +0200

partman-crypto (50ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 12:42:53 +0100

partman-crypto (50) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Kannada (kn.po) by Prabodh C P
  * Dutch (nl.po) by Jeroen Schot

 -- Otavio Salvador <otavio@debian.org>  Thu, 15 Mar 2012 14:59:17 -0300

partman-crypto (49ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 00:09:32 +0000

partman-crypto (49) unstable; urgency=low

  * Merge from Ubuntu:
    - Allow crypto kernel modules to be built-in.
  * The fix for #642115 was actually working around a 'dmsetup table' output
    format regression in libdevmapper 1.02.65 / lvm2 2.02.86, fixed in
    libdevmapper 1.02.66 / lvm2 2.02.87.  For robustness, handle both old
    and new output formats (closes: #647540, LP: #892903).

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by vignesh prabhu
  * Polish (pl.po) by Marcin Owsiany

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Nov 2011 23:49:12 +0000

partman-crypto (48ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Allow crypto kernel modules to be built-in (aes-generic is built-in
      nowadays).
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Oct 2011 23:21:29 +0100

partman-crypto (48) unstable; urgency=low

  * Fix parsing of dmsetup table output, so it will actually detect when
    swap is on crypto. Closes: #642115 (Thanks Jon Dowland for debugging it.)

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Macedonian (mk.po) by Arangel Angov
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po) by Danishka Navin
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Sep 2011 12:01:12 -0400

partman-crypto (47ubuntu3) oneiric; urgency=low

  * Add an "Activate existing encrypted volumes" option to the
    partman-crypto main menu.  If selected, this searches for existing
    volumes, and for each one prompts for its passphrase and attempts to
    open it; it then returns directly to the partitioning menu (closes:
    #451535, LP: #420080).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Sep 2011 14:15:32 +0100

partman-crypto (47ubuntu2) oneiric; urgency=low

  * Allow crypto kernel modules to be built-in (aes-generic is built-in
    nowadays).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Aug 2011 13:22:36 +0100

partman-crypto (47ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 May 2011 17:05:32 +0100

partman-crypto (47) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Mattias Põldaru
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Korean (ko.po) by Changwoo Ryu
  * Nepali (ne.po)
  * Romanian (ro.po) by Eddy Petrișor
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Telugu (te.po) by Arjuna Rao Chavala
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 12:43:47 +0200

partman-crypto (46ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Jan 2011 14:41:03 +0000

partman-crypto (46) unstable; urgency=low

  [ Colin Watson ]
  * Include <sys/mount.h> for BLKGETSIZE rather than <linux/fs.h>.

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:15:49 -0200

partman-crypto (45ubuntu2) natty; urgency=low

  * Include <sys/mount.h> for BLKGETSIZE rather than <linux/fs.h>.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 13:13:31 +0000

partman-crypto (45ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 12:18:36 +0000

partman-crypto (45) unstable; urgency=low

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beirovi
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Finnish (fi.po) by Esko Arajrvi
  * Icelandic (is.po) by Sveinn  Felli
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 10:20:57 -0200

partman-crypto (44ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Oct 2010 22:38:02 +0100

partman-crypto (44) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 19:07:00 +0200

partman-crypto (43ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 May 2010 10:45:27 +0100

partman-crypto (43) unstable; urgency=low

  * Register partman-crypto/confirm_nooverwrite, associated with the
    partman-crypto/confirm template.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po) by Kumar Appaiah
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by A S Alam
  * Tamil (ta.po) by Dr,T,Vasudevan

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Apr 2010 10:56:22 +0100

partman-crypto (42) unstable; urgency=low

  * Actually install the post-base-installer hook script.

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Tue, 09 Mar 2010 21:32:36 +0100

partman-crypto (41) unstable; urgency=low

  * Move installation of dmsetup to post-base-installer hook script.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po)
  * Galician (gl.po) by Marce Villarino
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Mon, 22 Feb 2010 04:08:26 +0100

partman-crypto (40ubuntu5) lucid; urgency=low

  * Register partman-crypto/confirm_nooverwrite, associated with the
    partman-crypto/confirm template.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Apr 2010 14:54:47 +0100

partman-crypto (40ubuntu4) lucid; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Apr 2010 00:50:01 +0100

partman-crypto (40ubuntu3) lucid; urgency=low

  * Allow preseeding partman-crypto/weak_passphrase too (LP: #546405).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Apr 2010 12:24:49 +0100

partman-crypto (40ubuntu2) lucid; urgency=low

  * Allow preseeding the first passphrase prompt (LP: #546405).  (Preseeding
    passphrases for multiple different physical volumes is a whole different
    kettle of fish ...)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Mar 2010 23:33:32 +0100

partman-crypto (40ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 05 Dec 2009 22:29:57 +0000

partman-crypto (40) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * Fix typo that broke detection of crypto devices in crypto_allowed.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Danish (da.po) by Ask Hjorth Larsen
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Emmanuel Galatoulas
  * Estonian (et.po) by Mattias Põldaru
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po)
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Nov 2009 14:19:34 +0000

partman-crypto (39ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Nov 2009 14:25:53 +0000

partman-crypto (39) unstable; urgency=low

  * Use ask_active_partition from partman-base >= 133 and
    add corresponding versioned depends.
  * Use partman_list_allowed from partman-base.
  * Correct call to disable_swap. Requires partman-base >= 134.
  * Use UUID= to specify source device in /etc/crypttab.

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Max Vozeler <xam@debian.org>  Fri, 07 Aug 2009 15:49:09 +0200

partman-crypto (38) unstable; urgency=low

  * Merge from Ubuntu:
    - Handle dm_mod and dm_crypt specially in crypto_load_module, to cope
      with them being built-in.
    - Add a menu under "Configure encrypted volumes", making this more in
      line with partman-lvm and partman-md.
    - Rearrange crypto configuration. Instead of requiring partitions to be
      set for use as physical volumes for encryption first, we now offer all
      partitions that could be used as physical volumes, and automatically
      set them up that way on request. (Unlike LVM and RAID, we still offer
      the configuration menu for each partition being newly set up this way,
      since it's the only opportunity the user will have to change
      encryption settings.) This allows us to offer our main menu option
      more or less all the time, and should require many fewer keystrokes to
      operate. Thanks to Max Vozeler for review.
  * Don't require depmod on successive runs of crypto_load_udebs.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Belarusian (be.po) by Pavel Piatruk
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Marathi (mr.po) by Sampada
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Mert Dirik
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Jul 2009 19:11:05 +0100

partman-crypto (37ubuntu3) karmic; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Sep 2009 13:22:18 +0100

partman-crypto (37ubuntu2) karmic; urgency=low

  * Add a menu under "Configure encrypted volumes", making this more in line
    with partman-lvm and partman-md.
  * Rearrange crypto configuration per the
    foundations-karmic-server-installer-improvements specification. Instead
    of requiring partitions to be set for use as physical volumes for
    encryption first, we now offer all partitions that could be used as
    physical volumes, and automatically set them up that way on request.
    (Unlike LVM and RAID, we still offer the configuration menu for each
    partition being newly set up this way, since it's the only opportunity
    the user will have to change encryption settings.) This allows us to
    offer our main menu option more or less all the time, and should require
    many fewer keystrokes to operate.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Jul 2009 11:59:07 +0100

partman-crypto (37ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Handle dm_mod and dm_crypt specially in crypto_load_module, to cope
      with them being built-in.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jun 2009 11:58:42 +0100

partman-crypto (37) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Honour partman/default_filesystem. Requires partman-base 129.
  * Use 'printf %s' rather than 'echo -n' for portability, to ease testing
    under different shells.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Dauren Sarsenov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Russian (ru.po) by Yuri Kozlov
  * Tagalog (tl.po) by Eric Pareja
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jun 2009 08:01:52 +0200

partman-crypto (36ubuntu6) karmic; urgency=low

  * Use block-attr from di-utils 1.68.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 May 2009 17:33:36 +0100

partman-crypto (36ubuntu5) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 02:18:27 +0100

partman-crypto (36ubuntu4) jaunty; urgency=low

  * Honour partman/default_filesystem. Requires partman-base 128ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Feb 2009 22:32:03 +0100

partman-crypto (36ubuntu3) jaunty; urgency=low

  * Use UUIDs only if available, fixing key types other than passphrase
    since only LUKS actually has a UUID (LP: #321732).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jan 2009 01:38:06 +0000

partman-crypto (36ubuntu2) jaunty; urgency=low

  * Handle dm_mod and dm_crypt specially in crypto_load_module, to cope with
    them being built-in (LP: #314168).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 15:54:52 +0000

partman-crypto (36ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Nov 2008 12:14:35 +0000

partman-crypto (36) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:09:33 -0300

partman-crypto (35) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Preserve "align" capability in call_entropy_plugin().

  [ Updated translations ]
  * Greek, Modern (el.po) by Emmanuel Galatoulas
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 21:10:59 +0200

partman-crypto (34) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Divide the progress bar in 65536 parts when erasing disk data.
    The previous setting (100) was a bit low to allow reactive cancellation.
    (Closes: #492899)
  * Update to the new debconf_select interface.
    Requires partman-base (>= 124).
  * Preserve "align" capability in crypto_do_wipe() and after running
    anna-install in crypto_load_udebs().
    Requires cdebconf (>= 0.133).
  * Use cdebconf's new column alignment feature for active_partition.
    Requires partman-base (>= 124).

  [ Frans Pop ]
  * finish-install.d: loop-aes-* packages are obsolete, only try to install
    loop-aes-modules-* packages.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Turkish (tr.po) by Mert Dirik

 -- Otavio Salvador <otavio@debian.org>  Tue, 05 Aug 2008 13:51:40 -0300

partman-crypto (33) unstable; urgency=low

  [ Max Vozeler ]
  * The dm_crypt module is moving into a separate package
    crypto-dm-modules starting with kernel udebs for 2.6.25-2.
    Make partman-crypto-dm depend on it.
  * Only reset crypto options when changing the crypto type.

  [ Frans Pop ]
  * Move Encryption method above new divider in partition options dialog.
    This is an indicator to users that other options depend on the selected
    encryption method (see #478598).
  * Add note in dialog that changing the encryption method will reset other
    fields to their defaults. Closes: #478598.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Matej Kovacic
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 13:55:30 +0200

partman-crypto (32ubuntu2) intrepid; urgency=low

  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Oct 2008 00:08:53 +0100

partman-crypto (32ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 May 2008 09:34:43 +0200

partman-crypto (32) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 01:01:48 -0300

partman-crypto (31) unstable; urgency=low

  [ Max Vozeler ]
  * blockdev-keygen: Set backup capability to allow the entropy
    dialog to be cancelled.
  * Consistently use /dev/urandom for volatile one-time keys (key
    type "random") with dm-crypt.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hungarian (hu.po) by SZERVÁC Attila
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Sun, 04 May 2008 22:08:33 +0200

partman-crypto (30) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Fix loading of additional packages:
    - make crypto_load_udebs() take more than one argument,
    - properly pluralize "packages" in crypto_prepare_method().
  * Remove partman-crypto-{dm,loop} dependency on cdebconf-entropy:
    anna does not handle depencies on virtual package correctly yet.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * French (fr.po) by Christian Perrier
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 18 Apr 2008 18:10:50 +0200

partman-crypto (29) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Make partman-crypto-dm and parman-crypto-loop depends on the virtual
    cdebconf-entropy instead of cdebconf-newt-entropy to be independant of the
    frontend used.  Requires cdebconf-entropy (>= 0.7).
  * Add partman-crypto/entropy-success template which will be be displayed
    when enough entropy has been gathered.
  * Use the "entropy" question type instead of "entropy-text".
  * Substitute FIFO and SUCCESS variables before displaying
    partman-crypto/entropy.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po)
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Brar
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 14 Apr 2008 23:39:54 +0200

partman-crypto (28) unstable; urgency=low

  [ Max Vozeler ]
  * Allow install onto loop-AES encrypted root. Closes: #381895
  * check.d/crypto_check_mountpoints: quote $mnt as it
    may be empty. Closes: #468739
  * commit.d/unsafe_swap: replace open-coded check for
    swap on dm-crypt with call to dm_is_safe(). Closes: #468738
  * Regenerate the initramfs for root on loop-AES.
  * Make veto_filesystems/crypto executable so that it
    actually gets used.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Max Vozeler <xam@debian.org>  Sat, 08 Mar 2008 17:35:48 +0100

partman-crypto (27) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Viesturs Zarins
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 08:57:42 -0200

partman-crypto (26) unstable; urgency=low

  * crypto-base.sh: source new function library ./lib/commit.sh.
    Requires partman-base (>= 115).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Sat, 29 Dec 2007 22:12:48 +0100

partman-crypto (25ubuntu2) hardy; urgency=low

  * Disable partition erasing by default again. The cancel button has poor
    UI (see LP #188085, #218912) which makes it hard to rely on it.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Apr 2008 15:14:43 +0100

partman-crypto (25ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Warn that the passphrase cannot be recovered if lost.
  * Re-enable partition erasing by default; it's now cancellable, which
    solves the same problem.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Dec 2007 10:58:42 +0000

partman-crypto (25) unstable; urgency=low

  * Moved definitions.sh to ./lib/base.sh.
  * Move crypto-tools.sh to ./lib/crypto-base.
  * finish.d/crypto_config: fix script error when $tmp is empty.
  * crypto-base.sh: use new memfree function from base.sh.
  * Change priority to optional to allow dynamic loading by partman-base.
  * Requires partman-base (>= 114).

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Tue, 11 Dec 2007 14:01:41 +0100

partman-crypto (24ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - write out /etc/crypttab using UUIDs, like we do for /etc/fstab
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
  * Add Vcs-Bzr for Ubuntu; rename Vcs-Svn to Original-Vcs-Svn.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 11 Dec 2007 10:46:47 -0500

partman-crypto (24) unstable; urgency=low

  [ Max Vozeler ]
  * Use veto_filesystems to allow only ext2 on crypto devices with random
    keys. This is only effective with partman-basicmethods 36 or later.
    Closes: #414638.
  * Replace code to commit partman changes to disk with call to
    commit_changes from partman-base (>= 113) and version the dependency
    accordingly.

  [ Frans Pop ]
  * Rename functions dev_wipe and wipe to be in crypto namespace.
  * Remove progresscancel capability again after erase progress bar to avoid
    all following progress bars to become cancelable as well. Ensure backup
    capability is retained.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Wed, 05 Dec 2007 13:18:55 +0100

partman-crypto (23) unstable; urgency=low

  [ Colin Watson ]
  * Reduce noise from repeated 'debian/rules clean' runs.

  [ Max Vozeler ]
  * Correct dependencies in base64/Makefile; Thanks to
    Robert Millan for report + patch. Closes: #452830
  * Drop use of the obsolete /dev/loop/ directory
  * Make erase cancellable. Closes: #381898, #400034

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae Park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Ivan Masár

 -- Max Vozeler <xam@debian.org>  Sun, 25 Nov 2007 17:01:43 +0100

partman-crypto (22ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - write out /etc/crypttab using UUIDs, like we do for /etc/fstab
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 28 Nov 2007 12:02:14 -0500

partman-crypto (22) unstable; urgency=low

  [ Frans Pop ]
  * For hd-media installs the module loop will already be loaded, which
    prevents loop-aes from being loaded. Attempt to replace loop with loop-aes
    by unmounting the CD image, replacing the module and remounting the image.
    As losetup is not available, we cannot check what exactly is loop-mounted,
    so we just assume that loop is only used for a CD image.
    Many thanks to Nemui Ailin for identifying the issue. Closes: #434027.

  [ Colin Watson ]
  * Use 'mkdir -p' rather than more awkward test-then-create constructions.

 -- Max Vozeler <xam@debian.org>  Sun, 12 Aug 2007 20:31:48 +0200

partman-crypto (21ubuntu3) gutsy; urgency=low

  * Disable partition erasing by default, as it's very slow and only of
    moderate value (LP: #151244).
  * Warn that the passphrase cannot be recovered if lost (helps with LP
    #151264).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2007 14:51:34 +0100

partman-crypto (21ubuntu2) gutsy; urgency=low

  * Skip loading partman-crypto-loop for now, as we don't support it in
    Ubuntu (thanks, Loïc Minier).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2007 13:30:14 +0100

partman-crypto (21ubuntu1) gutsy; urgency=low

  * write out /etc/crypttab using UUIDs, like we do for /etc/fstab

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Sep 2007 15:12:51 +0200

partman-crypto (21) unstable; urgency=low

  [ Frans Pop ]
  * Move "Use as" option together with raid and lvm. Closes: #414411.
  * Move deletion of SVN directories to install-rc script.
  * Improve the way install-rc is called.

  [ Colin Watson ]
  * Move sanity-checking scripts from finish.d to check.d. Requires
    partman-base 106.

  [ Max Vozeler ]
  * Remove leftover .svn directories from partman-crypto

 -- Max Vozeler <xam@debian.org>  Tue, 22 May 2007 21:14:50 +0200

partman-crypto (20) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 18:19:53 +0100

partman-crypto (19) unstable; urgency=low

  [ Christian Perrier ]
  * Replace "bootloader" by "boot loader" in templates for overall writing style
    consistency.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by drtvasudevan

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 12:23:23 +0100

partman-crypto (18) unstable; urgency=low

  [ David Härdeman ]
  * Remove scary warnings in preparation for RC2

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Thu, 21 Dec 2006 16:32:02 +0100

partman-crypto (17) unstable; urgency=low

  [ Updated translations ]
  * Dutch (nl.po) by Bart Cornelis

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 16:58:50 +0200

partman-crypto (16) unstable; urgency=low

  [ Frans Pop ]
  * crypto_tools.sh: quote variable to avoid syntax error.
  * Ask for passphrase and passphrase confirmation in one db_go.
  * Change template type for empty passphrase to error.

  [ Max Vozeler ]
  * blockdev-keygen: Kill writer pipes on failure and move the
    check for the entropy plugin to the start.
  * Show short name of the crypto device in the mountpoint column
    of the corresponding partition. Closes: #381968, #393919

  [ David Härdeman ]
  * Remove some hardcoded paths
  * Allow safe-swap checks to walk the entire device-mapper tree,
    meaning that swap-on-whatever-on-crypto is now ok. Loosely based
    on a patch from James Westby <jw+debian@jameswestby.net>.
    Closes: #392080

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Icelandic (is.po) by David Steinn Geirsson
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Max Vozeler <xam@debian.org>  Sun, 22 Oct 2006 23:49:42 +0200

partman-crypto (15) unstable; urgency=low

  [ David Härdeman ]
  * Remove some hardcoded paths
  * Change order of tests in crypto_prepare_method. Closes: 390568

  [ Max Vozeler ]
  * finish-install.d/05crypto: Install either loop-aes-$KVERS or
    loop-aes-modules-$KVERS

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Estonian (et.po) by Siim Põder
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Khmer (km.po) by Khoem Sokhem
  * Romanian (ro.po) by Eddy Petrişor
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Sat,  7 Oct 2006 19:37:49 +0200

partman-crypto (14) unstable; urgency=low

  [ David Härdeman ]
  * Add fixes for udeb-on-demand loading. Closes: #389456

  [ Max Vozeler ]
  * No need to check for plugin-entropy-text.so as we already
    check db_capb

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Giuseppe Sacco
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Albanian (sq.po) by Elian Myftiu
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Max Vozeler <xam@debian.org>  Thu, 28 Sep 2006 08:26:35 +0200

partman-crypto (13) unstable; urgency=low

  [ David Härdeman ]
  * Split low memory check into a separate function

 -- Max Vozeler <xam@debian.org>  Mon, 11 Sep 2006 21:43:28 +0200

partman-crypto (12) unstable; urgency=low

  [ David Härdeman ]
  * Allow swap-on-lvm-on-crypto. Closes: 385927

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Slovenian (sl.po) by Jure Čuhalev
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Max Vozeler <xam@debian.org>  Mon, 11 Sep 2006 07:47:49 +0200

partman-crypto (11) unstable; urgency=low

  [ David Härdeman ]
  * Make partman-crypto-dm and partman-crypto-loop not installed by
    default and instead do on-demand loading in d-i (closes: #384532)

  [ Max Vozeler ]
  * Some minor code cleanups

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş

 -- Max Vozeler <xam@debian.org>  Mon, 28 Aug 2006 20:35:57 +0200

partman-crypto (10) unstable; urgency=low

  [ Max Vozeler ]
  * Drop leading "_dev_" from the name of loop-AES keyfiles
  * Yes/no choices for erase data can be translated. Thanks to
    Miroslav Kure. Closes: #382605
  * Limit key sizes for dm-crypt/blowfish. Closes: #381981
  * Add lintian override for no-standards-version-field
  * Check for unencrypted swap in commit.d/unsafe_swap to catch
    setup after encrypted devices. Closes: #381870
  * Set name of dm-crypt devices according to the underlying
    block devices (e.g. hda5_crypt). Closes: #382398

  [ David Härdeman ]
  * Only set the tmp option in crypttab if /tmp is on a random keyed
    mapping (closes: #382374)

  [ Colin Watson ]
  * Use /dev/loop$n if the /dev/loop directory doesn't exist.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Khmer (km.po) by Khoem Sokhem
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Max Vozeler <xam@debian.org>  Mon, 21 Aug 2006 14:42:53 +0200

partman-crypto (9) unstable; urgency=low

  [ Max Vozeler ]
  * blockdev-wipe: Open the device with O_SYNC to avoid
    out-of-memory situations during partition erase, which appear
    to be caused by overcommit and a large number of queued
    requests. As a side-effect this helps to provide accurate
    information in the progressbar. Closes: #381135

  * blockdev-wipe: To compensate for the performance impact
    of O_SYNC increase blocksize from 4k to 64k.

  * crypto_tools.sh: Use 128 bit (instead of 256 bit)
    random key when setting up dm-crypt for partition erase.
    This should speed up erase a bit. Also take the key from
    /dev/urandom so we don't risk a blocking read.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Polish (pl.po) by Bartosz Fenski
  * Tagalog (tl.po) by Eric Pareja
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Thu,  3 Aug 2006 09:27:11 +0200

partman-crypto (8) unstable; urgency=low

  [ David Härdeman ]
  * Rename some files to make their purpose clearer.
  * Depend on base-installer to install cryptsetup when necessary before
    the initramfs is generated (requires base-installer 1.61).

  [ Max Vozeler ]
  * Add loop-AES ciphers to /etc/modules. Closes: #378687

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Japanese (ja.po) by Kenshi Muto
  * Panjabi; Punjabi (pa.po) by A S Alam
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Max Vozeler <xam@debian.org>  Tue, 18 Jul 2006 17:52:02 +0200

partman-crypto (7) unstable; urgency=low

  [ Max Vozeler ]
  * Switch default crypto system to dm-crypt

  [ David Härdeman ]
  * Re-add accidentally removed partman-crypto-loop dependency.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Czech (cs.po) by Miroslav Kure
  * Macedonian (mk.po) by Georgi Stanojevski
  * Polish (pl.po) by Bartosz Fenski

 -- Frans Pop <fjp@debian.org>  Wed, 28 Jun 2006 23:00:11 +0200

partman-crypto (6) unstable; urgency=low

  [ David Härdeman ]
  * Switch from prebaseconfig.d to finish-install.d
  * Lock partition when crypto mapping is setup
  * Improve defaults setting code to only consider available crypto-
    types
  * Move some functionality from choose_partition/crypto/do_option to
    crypto_tools.sh for use by partman-auto-crypto.
  * Change default fs from ext2 to ext3.
  * Use the generic confirm_changes from partman-base
    (needs partman-base 87).

  [ Max Vozeler ]
  * Build arch-all packages in binary-indep
  * debian/control: Standards-Version is not used for udebs

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Khmer (km.po) by Khoem Sokhem
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Max Vozeler <xam@debian.org>  Fri, 23 Jun 2006 22:15:44 +0200

partman-crypto (5) unstable; urgency=low

  [ David Härdeman ]
  * Allow dm-crypt partitions to be used for LVM.
  * Make sure old settings are remembered when partman is re-inited.
  * Only show crypto config menu option if at least one crypto volume is
    setup.
  * Depend on partman-crypto-dm again as all the depends are available.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Georgian (ka.po) by Aiet Kolkhi
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Northern Sami (se.po) by Børre Gaup
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Jun 2006 12:22:56 -0400

partman-crypto (4) unstable; urgency=low

  [ David Härdeman ]
  * Add dm-crypt partition wiping
  * Do a plain wipe without crypto if the partition is not going to
    be an encrypted one.
  * Fix some bugs in crypttab generation.

  [ Max Vozeler ]
  * Build partman-crypto-dm and partman-crypto-loop packages that
    depend on respective tools and kernel modules.
  * Not all depends of cryptsetup-udeb are ready. For the time being
    change the priority of -dm to optional and depend only on -loop.
  * Include ciphers/ entries in -loop and -dm
  * Don't show erasepart option for virtual partitions

  [ Christian Perrier ]
  * Replace "filesystem" by "file system" in templates (overall
    consistency in D-I)
  * Typo correction: "occured" replaced by "occurred" in templates

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Max Vozeler <xam@debian.org>  Tue, 23 May 2006 17:33:51 +0200

partman-crypto (3) unstable; urgency=low

  [ David Härdeman and Riku Voipio ]
  * Add support for random keys with dm-crypt

  [ Max Vozeler]
  * Create /etc/default/checkfs-loop in /target to enable file
    system checks for loop-AES
  * blockdev-keygen: Pass keysize to the entropy frontend module
    using the KEYSIZE template variable. Bump the dependency on
    cdebconf-newt-entropy to >= 0.3 accordingly.
  * Switch to improved templates. Many thanks to Christian Perrier,
    Frans Pop, Geert Stappers and Steve Langasek.
  * Depend on gnupg-udeb

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Max Vozeler <xam@debian.org>  Fri, 12 May 2006 16:37:51 +0200

partman-crypto (2) unstable; urgency=low

  [ Max Vozeler ]
  * Depend on loop-aes-modules (provided by loop-aes-$KVERS-di)
  * Check that a separate /boot partition exists if the root
    partition is encrypted. Thanks to Riku Voipio.
  * Use debconf_select in crypto_dooption; Option values can now be
    translated if corresponding templates exist.
  * Actually build the package in binary-arch, not binary-indep
    (leftover from switch to arch: any)

  [ Frans Pop ]
  * Old-style options for head/tail are no longer supported by new busybox.

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Korean (ko.po) by Sunjae park
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Slovak (sk.po) by Peter Mann

 -- Max Vozeler <xam@debian.org>  Tue,  2 May 2006 20:26:36 +0200

partman-crypto (1) unstable; urgency=low

  * First release from SVN. Thanks (in no particular order) to
    David Härdeman, Jens Seidel, Colin Watson, Christian Perrier
    and all translators for contributing to partman-crypto.

 -- Max Vozeler <xam@debian.org>  Fri, 28 Apr 2006 14:47:28 +0200

